> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gitlocalize.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Languages

> Target languages configured for a repository, with translation progress.



## OpenAPI

````yaml GET /v1/repositories/{id}/languages
openapi: 3.1.0
info:
  title: GitLocalize API
  description: GitLocalize API
  version: 0.1.0
servers:
  - url: https://api.gitlocalize.com
    description: GitLocalize
security:
  - BearerAuth: []
paths:
  /v1/repositories/{id}/languages:
    get:
      summary: ListLanguages
      operationId: RepositoryService_ListLanguages
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type:
              - integer
              - string
            title: id
            format: int64
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/gitlocalize.v1.Language'
                title: languages
components:
  schemas:
    gitlocalize.v1.Language:
      type: object
      properties:
        code:
          type: string
          title: code
          description: e.g. "ja"
        name:
          type: string
          title: name
        completion:
          type: integer
          title: completion
          maximum: 100
          minimum: 0
          format: int32
          description: Percent of characters translated.
      title: Language
      required:
        - code
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````